<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>im2int16</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="im2double.html">&lt;&lt; im2double</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="im2int32.html">im2int32 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a> &gt; im2int16</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">im2int16</h1>
    <p class="refpurpose">Convert image to 16-bit signed integers</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">im2</span><span class="default"> = </span><span class="functionid">im2int16</span><span class="default">(</span><span class="default">im</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im :</span>
      <dd><p class="para">An matrix/image, which can be ANY image supported by IPCV.</p></dd></dt>
   <dt><span class="term">im2 :</span>
      <dd><p class="para">Output image, a 16-bit signed integer matrix.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">im2int16 convert intensity or RGB images to 16-bit signed integers. If the input is of class int16, the output image is identical to it. Otherwise, im2int16 rescales or offsets the data, and returns the equivalent image of class int16.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="im2bw.html" class="link">im2bw</a></li>
   <li class="member"><a href="im2uint8.html" class="link">im2uint8</a></li>
   <li class="member"><a href="im2int8.html" class="link">im2int8</a></li>
   <li class="member"><a href="im2uint16.html" class="link">im2uint16</a></li>
   <li class="member"><a href="im2int32.html" class="link">im2int32</a></li>
   <li class="member"><a href="im2double.html" class="link">im2double</a></li>
   <li class="member"><a href="mat2gray.html" class="link">mat2gray</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="im2double.html">&lt;&lt; im2double</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="im2int32.html">im2int32 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
